"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cleanRunData = cleanRunData;
function cleanRunData(runData, graph, startNodes) {
    const newRunData = { ...runData };
    for (const startNode of startNodes) {
        delete newRunData[startNode.name];
        const children = graph.getChildren(startNode);
        for (const child of children) {
            delete newRunData[child.name];
        }
    }
    for (const nodeName of Object.keys(newRunData)) {
        if (!graph.hasNode(nodeName)) {
            delete newRunData[nodeName];
        }
    }
    return newRunData;
}
//# sourceMappingURL=cleanRunData.js.map